#-------------------------------------------------------------------------------
# Name:        AutoGUI.pyw
# Purpose:     GUI-Anwendung zur Nutzung der Auto-Klasse als Website-Beispiel
#
# Author:      Gerhard Röhner
#
# Created:     29.01.2022
# Copyright:   (c)  2022
# Licence:     Freeware
#-------------------------------------------------------------------------------

import tkinter as tk
import tkinter.ttk as ttk
from Auto import *

class app(tk.Frame):

    def __init__(self):
        self.root = tk.Tk()
        super().__init__(self.root)
        self.root.geometry('385x193')
        self.root.title('AutoGUI')
        self.create_widgets()
        self.mainloop()

    def create_widgets(self):
        self.lArmaturenbrett = tk.Label()
        self.lArmaturenbrett.place(x=8, y=16, width=158, height=20)
        self.lArmaturenbrett['anchor'] = 'w'
        self.lArmaturenbrett['text'] = 'Armaturenbrett'
        self.lArmaturenbrett['font'] = ('Segoe UI', 14)
        self.lKennzeichen = tk.Label()
        self.lKennzeichen.place(x=8, y=48, width=102, height=20)
        self.lKennzeichen['anchor'] = 'w'
        self.lKennzeichen['text'] = 'Kennzeichen'
        self.lTankinhalt = tk.Label()
        self.lTankinhalt.place(x=8, y=80, width=102, height=20)
        self.lTankinhalt['anchor'] = 'w'
        self.lTankinhalt['text'] = 'Tankinhalt'
        self.lKilometerstand = tk.Label()
        self.lKilometerstand.place(x=8, y=112, width=102, height=20)
        self.lKilometerstand['anchor'] = 'w'
        self.lKilometerstand['text'] = 'Kilometerstand'
        self.eKennzeichen = tk.Entry()
        self.eKennzeichen.place(x=112, y=48, width=102, height=20)
        self.eKennzeichenCV = tk.StringVar()
        self.eKennzeichenCV.set('')
        self.eKennzeichen['textvariable'] = self.eKennzeichenCV
        self.eTankinhalt = tk.Entry()
        self.eTankinhalt.place(x=112, y=80, width=102, height=20)
        self.eTankinhaltCV = tk.StringVar()
        self.eTankinhaltCV.set('0')
        self.eTankinhalt['textvariable'] = self.eTankinhaltCV
        self.eKilometerstand = tk.Entry()
        self.eKilometerstand.place(x=112, y=112, width=102, height=20)
        self.eKilometerstandCV = tk.StringVar()
        self.eKilometerstandCV.set('0')
        self.eKilometerstand['textvariable'] = self.eKilometerstandCV
        self.bTanken = tk.Button()
        self.bTanken.place(x=232, y=80, width=75, height=25)
        self.bTanken['command'] = self.bTanken_Command
        self.bTanken['text'] = 'Tanken'
        self.bFahren = tk.Button()
        self.bFahren.place(x=232, y=112, width=75, height=25)
        self.bFahren['command'] = self.bFahren_Command
        self.bFahren['text'] = 'Fahren'
        self.eMenge = tk.Entry()
        self.eMenge.place(x=320, y=80, width=54, height=20)
        self.eMengeCV = tk.StringVar()
        self.eMengeCV.set('10')
        self.eMenge['textvariable'] = self.eMengeCV
        self.eStrecke = tk.Entry()
        self.eStrecke.place(x=320, y=112, width=54, height=20)
        self.eStreckeCV = tk.StringVar()
        self.eStreckeCV.set('100')
        self.eStrecke['textvariable'] = self.eStreckeCV
        self.lAuto1 = tk.Label()
        self.lAuto1.place(x=0, y=160, width=62, height=20)
        self.lAuto1['anchor'] = 'w'
        self.lAuto1Image = tk.PhotoImage(file='images/auto1.gif')
        self.lAuto1['image'] = self.lAuto1Image
        self.lAuto1['compound'] = 'right'

        # Assoziation zur Fachklasse Auto
        self.auto1 = Auto('DA RR 1013', 47, 7.3)
        pass

    def anzeigen(self):
        self.eKennzeichenCV.set(self.auto1.get_Kennzeichen())
        self.eTankinhaltCV.set(self.auto1.get_Tankinhalt())
        self.eKilometerstandCV.set(self.auto1.get_Kilometerstand())
        self.lAuto1.place(x = self.auto1.get_Kilometerstand(), y = 160)

    def bTanken_Command(self):
        # Eingabe über die GUI
        Menge = float(self.eMengeCV.get())
        # Verarbeitung
        self.auto1.tanken(Menge)
        # Ausgabe
        self.anzeigen()

    def bFahren_Command(self):
        # Eingabe über die GUI
        Strecke = float(self.eStreckeCV.get())
        # Verarbeitung
        self.auto1.fahren(Strecke)
        # Ausgabe
        self.anzeigen()

app()
